Bio::DB::Taxonomy::silva(3pm)

NAME
Bio::DB::Taxonomy::silva - Use the Silva taxonomy

SYNOPSIS
  use Bio::DB::Taxonomy;

  my $db = Bio::DB::Taxonomy->new(
     -source   => 'silva',
     -taxofile => 'SSURef_108_tax_silva_trunc.fasta',
  );

DESCRIPTION
This is an implementation of Bio::DB::Taxonomy which stores and accesses the Silva taxonomy. Internally, Bio::DB::Taxonomy::silva keeps the taxonomy into memory by using Bio::DB::Taxonomy::list. As a consequence, note that the IDs assigned to the taxonomy nodes, e.g. sv72, are arbitrary, contrary to the pre-defined IDs that NCBI assigns to taxons. Note also that no rank names or common names are assigned to the taxa of Bio::DB::Taxonomy::silva.

The latest Silva taxonomy (2011) contains about 126,000 taxa and occupies about 124 MB of memory once parsed into a Bio::DB::Taxonomy::silva object. Obviously, it can take a little while to load.

The taxonomy file SSURef_108_tax_silva_trunc.fasta that this module uses is available from <http://www.arb-silva.de/no_cache/download/archive/release_108/Exports/>.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Florent Angly
florent.angly@gmail.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::DB::Taxonomy::silva->new();
 Function: Builds a new Bio::DB::Taxonomy::silva object
 Returns : an instance of Bio::DB::Taxonomy::silva
 Args    : -taxofile  => name of the FASTA file containing the taxonomic information,
                         typically 'SSURef_108_tax_silva_trunc.fasta' (mandatory)